Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Interface ModuleType

All Superinterfaces:
  DataElement

All Known Implementing Classes:
  CellMLModuleType, SbmlModuleType, StandardModuleType

public interface ModuleType
extends DataElement

Method Summary
`boolean` | `canCreateEmptyModule()` Indicates whether an empty module with initialised internal structure can be created
`Module` | `createModule(Repository parent, java.lang.String name)` Creates empty module with initialised internal structure.
`java.lang.String` | `getCategory(java.lang.Class aClass)` The category is used to group diagram elements by folders in BioUML `Module`.
`java.lang.Class[]` | `getDiagramTypes()`
`QueryEngine` | `getQueryEngine()`
`java.lang.String` | `getVersion()`
`boolean` | `isCategorySupported()`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Method Detail

### getDiagramTypes

    public java.lang.Class[] getDiagramTypes()

### isCategorySupported

    public boolean isCategorySupported()

### getCategory

    public java.lang.String getCategory(java.lang.Class aClass)

  The category is used to group diagram elements by folders in BioUML `Module`.

  Pendung:
    the othe variant has Categirizer (singleton with static methods) where we can register all classes.

### canCreateEmptyModule

    public boolean canCreateEmptyModule()

  Indicates whether an empty module with initialised internal structure can be created

### createModule

    public Module createModule(Repository parent,
                               java.lang.String name)
                        throws java.lang.Exception

  Creates empty module with initialised internal structure.

  Throws:
    `java.lang.Exception`

### getVersion

    public java.lang.String getVersion()

### getQueryEngine

    public QueryEngine getQueryEngine()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.